Raritan PX2/PX3 JSON-RPC API: datetime::DateTime_3_0_2 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
datetime::DateTime_3_0_2 Interface Reference

Date and time configuration methods. More...

`import"DateTime.idl";`

## Classes
struct | Cfg
| Device date and time configuration. More...
struct | NtpCfg
| Static NTP server configuration. More...
struct | ZoneCfg
| Time zone configuration. More...
struct | ZoneInfo
| Time zone information. More...

## Public Types
enum | Protocol { STATIC, NTP }
| Time synchronization protocol. More...

## Public Member Functions
void | getZoneInfos (out vector< ZoneInfo > zoneInfos, in boolean useOlson)
| List all supported time zones. More...
boolean | checkNtpServer (in string ntpServer)
| Check if a specified NTP server is usable. More...
vector< string > | getActiveNtpServers ()
| Get active NTP servers. More...
void | getCfg (out Cfg cfg)
| Retrieve the device date and time configuration. More...
int | setCfg (in Cfg cfg)
| Set the device date and time configuration. More...
void | getTime (in boolean useOlson, out ZoneInfo zone, out boolean dstEnabled, out int utcOffset, out time currentTime)
| Retrieve the current device date and time. More...

## Public Attributes
valueobject | ConfigurationChangedEvent: idl::Event { }
| Event that is send when the configuration changes.

## Detailed Description

Date and time configuration methods.

## Member Enumeration Documentation

## ◆ Protocol

enum datetime::DateTime_3_0_2::Protocol

Time synchronization protocol.

Enumerator
STATIC | Device time is configured locally.
NTP | Device time is synchronized via NTP.

## Member Function Documentation

## ◆ checkNtpServer()

boolean datetime::DateTime_3_0_2::checkNtpServer | ( | in string | ntpServer | ) |

Check if a specified NTP server is usable.

Parameters

  ntpServer | NTP server to be checked

Returns
  `true` if the NTP server is usable

## ◆ getActiveNtpServers()

vector<string> datetime::DateTime_3_0_2::getActiveNtpServers | ( |  | ) |

Get active NTP servers.

Returns
  List of currently active NTP servers (IP addresses and/or hostnames)

## ◆ getCfg()

void datetime::DateTime_3_0_2::getCfg | ( | out Cfg | cfg | ) |

Retrieve the device date and time configuration.

Parameters

  cfg | Result: Current date and time configration

## ◆ getTime()

void datetime::DateTime_3_0_2::getTime | ( | in boolean | useOlson,
|  | out ZoneInfo | zone,
|  | out boolean | dstEnabled,
|  | out int | utcOffset,
|  | out time | currentTime
| ) |  |

Retrieve the current device date and time.

Parameters

  useOlson | Use Olson zoneinfo name
  zone | Result: Active time zone
  dstEnabled | if false, the time zone DST flag is not used
  utcOffset | Result: Offset (in minutes) between local time and UTC
  currentTime | Result: Device date and time

## ◆ getZoneInfos()

void datetime::DateTime_3_0_2::getZoneInfos | ( | out vector< ZoneInfo > | zoneInfos,
|  | in boolean | useOlson
| ) |  |

List all supported time zones.

Parameters

  zoneInfos | Result: List of time zones
  useOlson | Use Olson zoneinfo names

## ◆ setCfg()

int datetime::DateTime_3_0_2::setCfg | ( | in Cfg | cfg | ) |

Set the device date and time configuration.

Depending on the value of the protocol field either deviceTime or ntpCfg will be used from the cfg parameter.

Parameters

  cfg | New date and time configuration.

Returns
  0 if OK
  1 if the configuration is invalid

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/DateTime.idl